Welcome, Guest. Please Login or Register
Arduino IDE for Visual Studio
 
 
When Logging a Support Issue in the Forum, please ensure you have also:-
  • Enabled vMicro > Compiler > Show Build Properties and Verbose
  • Re-Compile your program with these settings enabled
 
Save the new Output to a Text File and....
Support requests without the output above may be impossible to answer, so please help us to help you
 
  HomeSearch Tutorials & Wiki visualmicro.com LoginHelpRegister  
 
Page Index Toggle Pages: 1
Send Topic Print
VS2017 upgrade to 1903.24.2 problem (Read 326 times)
perigalacticon
Junior Member
**
Offline



Posts: 40
detroit area
VS2017 upgrade to 1903.24.2 problem
Apr 11th, 2019 at 2:41am
 
I currently use VS2017 with VM v.1902.17.0.  I got notice of v. 1903.24.2 was available and tried to upgrade. It would not install and gave an error.  The install log shows the following at the end of the log:

Quote:
/10/2019 9:23:35 PM - The extension will be upgraded from version 1902.17.0.
4/10/2019 9:23:39 PM - Extension cannot be installed to the following products due to missing prerequisites:
4/10/2019 9:23:39 PM -      Microsoft Visual Studio Community 2017
4/10/2019 9:23:39 PM -            -------------------------------------------------------
4/10/2019 9:23:39 PM -            Identifier   : Microsoft.VisualStudio.Component.CoreEditor
4/10/2019 9:23:39 PM -            Name         : Visual Studio core editor
4/10/2019 9:23:39 PM -            Version      : [15.8.27729.1,16.99)
4/10/2019 9:23:39 PM -            Error        : The prerequisite version specified does not match the version installed
4/10/2019 9:23:39 PM -
4/10/2019 9:23:39 PM - System.InvalidOperationException: No modifications could be applied.
   at VSIXInstaller.MultipleChangePage..ctor(ExtensionData data)
   at VSIXInstaller.LoadingPage.<>c__DisplayClass11_1.<OnLoaded>b__2()


Can you please help me fix this?

Thanks.
Back to top
 
 
IP Logged
 
Visual Micro
Administrator
*****
Offline



Posts: 10387
United Kingdom
Re: VS2017 upgrade to 1903.24.2 problem
Reply #1 - Apr 11th, 2019 at 11:34am
 
Please make sure you have run the visual studio update so you are on latest vs2017.

The recent change does specify more recent c++ versions but that's because we use the versions that microsoft prompt when creating an extension. I think they have been making great strides but the installer is still work in progress.

Let me know if that solves the issue.

Thanks
Back to top
 
WWW  
IP Logged
 
Page Index Toggle Pages: 1
Send Topic Print